## org.gnu.gtk
Class CalendarDisplayOptions

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.CalendarDisplayOptions

public class CalendarDisplayOptions
extends Flags

Defines the appearance of a Calendar object.

     SHOW_HEADING
     Specifies that the month and year should be displayed.
     SHOW_DAY_NAMES
     Specifies that three letter day descriptions should be displayed.
     NO_MONTH_CHANGE
     Prevents the user from switching months with the calendar
     SHOW_WEEK_NUMBERS
     Displays each week numbers of the current year down the left side of
     the calendar
     WEEK_START_MONDAY
     Starts the calendar week on Monday, instead of the default Sunday.

Field Summary
`static CalendarDisplayOptions` `NO_MONTH_CHANGE`
`static CalendarDisplayOptions` `SHOW_DAY_NAMES`
`static CalendarDisplayOptions` `SHOW_HEADING`
`static CalendarDisplayOptions` `SHOW_WEEK_NUMBERS`
`static CalendarDisplayOptions` `WEEK_START_MONDAY`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`CalendarDisplayOptions` `and(CalendarDisplayOptions other)`
`static CalendarDisplayOptions` `intern(int value)`
`CalendarDisplayOptions` `or(CalendarDisplayOptions other)`
`boolean` `test(CalendarDisplayOptions other)`
`CalendarDisplayOptions` `xor(CalendarDisplayOptions other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHOW_HEADING

    public static final CalendarDisplayOptions SHOW_HEADING

### SHOW_DAY_NAMES

    public static final CalendarDisplayOptions SHOW_DAY_NAMES

### NO_MONTH_CHANGE

    public static final CalendarDisplayOptions NO_MONTH_CHANGE

### SHOW_WEEK_NUMBERS

    public static final CalendarDisplayOptions SHOW_WEEK_NUMBERS

### WEEK_START_MONDAY

    public static final CalendarDisplayOptions WEEK_START_MONDAY

Method Detail

### intern

    public static CalendarDisplayOptions intern(int value)

### or

    public CalendarDisplayOptions or(CalendarDisplayOptions other)

### and

    public CalendarDisplayOptions and(CalendarDisplayOptions other)

### xor

    public CalendarDisplayOptions xor(CalendarDisplayOptions other)

### test

    public boolean test(CalendarDisplayOptions other)